Unseal Space
REST APIRegistered domains

Bind a registered domain to a project

POST
/domains/{name}/bind
x-api-key<token>

Workspace-owned API key with per-resource permissions.

In: header

Path Parameters

name*string
Length1 <= length

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

projectId*string
Length1 <= length
idempotencyKey?string
Length1 <= length <= 128

Response Body

application/json

curl -X POST "https://example.com/domains/string/bind" \  -H "Content-Type: application/json" \  -d '{    "projectId": "string"  }'
{  "name": "string",  "status": "in_progress",  "autoRenew": true,  "privacyMode": "redaction",  "boundProjectId": "string",  "bindStatus": "unbound",  "createdByUserId": "string",  "registeredAt": "2019-08-24T14:15:22Z",  "expiresAt": "2019-08-24T14:15:22Z"}